org.apache.commons.cli

## Class ParseException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.commons.cli.ParseException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  AlreadySelectedException, MissingArgumentException, MissingOptionException, UnrecognizedOptionException

    public class ParseException
    extends Exception

Base for Exceptions thrown during parsing of a command-line.

Version:
  $Id: ParseException.java 1443102 2013-02-06 18:12:16Z tn $
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ParseException(String message)` Construct a new `ParseException` with the specified detail message.

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ParseException

    public ParseException(String message)

Construct a new `ParseException` with the specified detail message.

Parameters:
  `message` - the detail message